# This file is autogenerated by edgy.project code generator.
# All changes will be overwritten.

from setuptools import setup, find_packages

tolines = lambda c: list(filter(None, map(lambda s: s.strip(), c.split('\n'))))

def read(filename, flt=None):
    with open(filename) as f:
        content = f.read().strip()
        return flt(content) if callable(flt) else content

try:
    version = read('version.txt')
except:
    version = 'dev'

setup(
    name = 'git_semver',
    description = 'Semantic versions management integrated to git.',
    license = 'Apache License, Version 2.0',
    install_requires = ['semantic-version >=2.6,<2.7', 'GitPython >=2.1,<2.2'],
    version = version,
    long_description = read('README.rst'),
    classifiers = read('classifiers.txt', tolines),
    packages = find_packages(exclude=['ez_setup', 'example', 'test']),
    include_package_data = True,
    extras_require = {'dev': ['coverage >=4.2,<4.3',
         'mock >=2.0,<2.1',
         'pylint >=1.6,<1.7',
         'pytest >=3.0,<3.1',
         'pytest-cov >=2.4,<2.5',
         'sphinx',
         'sphinx_rtd_theme']},
    entry_points = {'console_scripts': ['git-semver=git_semver.__main__:main']},
    url = 'https://github.com/hartym/git-semver',
    download_url = 'https://github.com/hartym/git-semver/archive/{version}.tar.gz'.format(version=version),
)
